Index: /other-projects/expeditee-release-kits/kits/rke/ant-scripts/init.xml
===================================================================
--- /other-projects/expeditee-release-kits/kits/rke/ant-scripts/init.xml	(revision 28715)
+++ /other-projects/expeditee-release-kits/kits/rke/ant-scripts/init.xml	(revision 28716)
@@ -1,4 +1,4 @@
 <project name="rke-init">
-	<!-- CHECK PRE-CONDITIONS  -->
+	<!-- CHECK PRE-CONDITIONS	-->
 	<target name="init">
 
@@ -43,5 +43,5 @@
 
 		<!-- the minimum version of java which the installer should be run with (this gets used in search4j) -->
-		<property name="java.min.version" value="1.4.0_00"/>
+		<property name="java.min.version" value="1.6.0_00"/>
 
 		<!-- create a localised basedir property -->
@@ -53,5 +53,5 @@
 
 		<!-- the extra space for the dmg image in KB (mac wrapper) -->
-        	<property name="dmg.overhead" value="4096"/>
+					<property name="dmg.overhead" value="4096"/>
 
 		<!-- current date and time -->
@@ -63,37 +63,17 @@
 
 		<if>
-		  <bool><equals arg1="${x64}" arg2="true"/></bool>
-		  <property name="extension-x64" value="-x64" />
-		  <property name="extension_x64" value="_x64" />
-		  <else>
-		    <property name="extension-x64" value="" />
-		    <property name="extension_x64" value="" />
-		  </else>
+			<bool><equals arg1="${x64}" arg2="true"/></bool>
+			<property name="extension-x64" value="-x64" />
+			<property name="extension_x64" value="_x64" />
+			<else>
+				<property name="extension-x64" value="" />
+				<property name="extension_x64" value="" />
+			</else>
 		</if>
 
-		<!-- BUNDLED JAVA INFO -->
-		<!-- the bundled javas are kept in shared/linux/wrapper and shared/windows/wrapper in the repository -->
-		<!-- change this info when the bundled version changes -->
-		<property name="java.extracted" value="jre"/> <!-- set this to the name of the top level directory in the above archive -->
-
-		<!-- linux -->
-		<property name="linux-java.installer" value="jre_bin${extension_x64}"/>
-		<property name="bundled.version.linux-java" value="1.6.0_05"/> <!-- set this to the version number of java in the above archive -->
-		<property name="component.bytesize.linux-java" value="101245987"/> <!-- set this to the size of the extract archive -->
-
-		<!-- windows -->
-		<property name="windows-java.installer" value="jre.exe"/>
-		<property name="bundled.version.windows-java" value="1.6.0_07"/> <!-- set this to the version number of java in the above archive -->
-		<property name="component.bytesize.windows-java" value="75000000"/> <!-- set this to the size of the extract archive -->
-
-		<!-- version numbers of other bundled things -->
-		<property name="bundled.version.imagemagick" value="6.4.3"/>
-		<property name="bundled.version.ghostscript" value="8.63"/>
-		<property name="bundled.version.tomcat" value="6.0.20"/>
-	
 		<!-- default revision and branch path -->
 		<property name="branch.revision" value="HEAD" />
 		<property name="branch.path" value="trunk" />
-		  	
+				
 		
 
@@ -160,4 +140,34 @@
 			<property name="os.script.format" value="bat"/>
 		</if></else></if>
+		
+		
+		<!-- BUNDLED JAVA INFO -->
+		<!-- the bundled javas are kept in shared/linux/wrapper and shared/windows/wrapper in the repository -->
+		<!-- change this info when the bundled version changes -->
+		<property name="java.extracted" value="jre"/> <!-- set this to the name of the top level directory in the above archive -->
+
+		<property name="bundled.version.java" value="1.8.0"/> <!-- set this to the version number of java in the above archive -->
+		<if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
+			<property name="java.installer" value="jre_bin${extension_x64}"/>
+			<if>
+				<bool><equals arg1="${x64}" arg2="true"/></bool>
+					<property name="component.bytesize.java" value="158123846"/> <!-- set this to the size of the x64 extracted archive -->
+				<else>
+					<property name="component.bytesize.java" value="161601299"/> <!-- set this to the size of the x32 extracted archive -->
+				</else>
+			</if>
+			<else>
+				<if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>
+					<property name="java.installer" value="jre.exe"/>
+					<property name="component.bytesize.java" value="75000000"/> <!-- set this to the size of the extract archive -->
+				<else>
+					<if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
+						<echo>Mac has no java</echo>
+					</if>
+				</else>
+				</if>
+			</else>
+		</if>
+
 
 		<!-- show important properties -->