Index: /other-projects/expeditee-release-kits/kits/rke/ant-scripts/create-installer.xml
===================================================================
--- /other-projects/expeditee-release-kits/kits/rke/ant-scripts/create-installer.xml	(revision 28716)
+++ /other-projects/expeditee-release-kits/kits/rke/ant-scripts/create-installer.xml	(revision 28717)
@@ -61,47 +61,12 @@
 
 		<!-- calculate the size of: core -->
-		<length property="component.bytesize.core-without-jre" mode="all"><fileset file="${basedir}/components/core.comp"/></length>
-		<if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>
-			<math result="component.bytesize.core" operand1="${component.bytesize.core-without-jre}" operation="+" operand2="${component.bytesize.windows-java}" datatype="int"/>
-		<else><if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
-			<math result="component.bytesize.core" operand1="${component.bytesize.core-without-jre}" operation="+" operand2="${component.bytesize.linux-java}" datatype="int"/>
-		<else>
-			<property name="component.bytesize.core" value="${component.bytesize.core-without-jre}"/>
-		</else></if></else></if>
+		<length property="component.bytesize.core" mode="all"><fileset file="${basedir}/components/core.comp"/></length>
 		<math result="component.megabytesize.core" operand1="${component.bytesize.core}" operation="/" operand2="1048576" datatype="int"/>
 		<property name="component.size.core" value="${component.megabytesize.core} MB"/>
 
-		<!-- calculate the size of: imagemagick -->
-		<length property="component.bytesize.imagemagick" mode="all"><fileset file="${basedir}/components/imagemagick.comp"/></length>
-		<math result="component.megabytesize.imagemagick" operand1="${component.bytesize.imagemagick}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.imagemagick" value="${component.megabytesize.imagemagick} MB"/>
+		<!-- calculate the size of: jre -->
+		<math result="component.megabytesize.java" operand1="${component.bytesize.java}" operation="/" operand2="1048576" datatype="int"/>
+		<property name="component.size.java" value="${component.megabytesize.java} MB"/>
 
-		<!-- calculate the size of: ghostscript -->
-		<length property="component.bytesize.ghostscript" mode="all"><fileset file="${basedir}/components/ghostscript.comp"/></length>
-		<math result="component.megabytesize.ghostscript" operand1="${component.bytesize.ghostscript}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.ghostscript" value="${component.megabytesize.ghostscript} MB"/>
-		
-		<!-- calculate the size of: apache httpd -->
-		<length property="component.bytesize.httpd" mode="all"><fileset file="${basedir}/components/apachehttpd.comp"/></length>
-		<math result="component.megabytesize.httpd" operand1="${component.bytesize.httpd}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.httpd" value="${component.megabytesize.httpd} MB"/>
-		
-		<!-- calculate the size of: tomcat -->
-		<length property="component.bytesize.tomcat" mode="all"><fileset file="${basedir}/components/tomcat.comp"/></length>
-		<math result="component.megabytesize.tomcat" operand1="${component.bytesize.tomcat}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.tomcat" value="${component.megabytesize.tomcat} MB"/>
-
-		<!-- EXT -->
-		<!-- calculate the size of: amp (and put it into the components directory) -->
-		<if><bool><and><equals arg1="${amp.enabled}" arg2="true"/><not><available file="${rk.home}/ext/amp.lzma"/></not></and></bool>
-		  <fail>amp.lzma file not found in the release kit ext directory</fail>
-		</if>
-
-		<if><bool><and><equals arg1="${amp.enabled}" arg2="true"/></and></bool>
-		  <echo>Copying amp.lzma to compontents directory</echo>
-		  <copy file="${rk.home}/ext/amp.lzma" todir="${basedir}/components"/>
-		  <property name="component.size.amp" value="257 MB"/>
-		</if>
-		<!-- /EXT -->
 
 		<echo>**** OS: ${rk.os}</echo>
@@ -111,22 +76,11 @@
 		<dcff file="installer/build.xml" startTag="&lt;!--\s*if\s*(?!.*${rk.os})[^ ]+\s*--&gt;" endTag="&lt;!--\s*/if\s*--&gt;" />
 
-		<!-- EXT -->
-		<if><bool><not><equals arg1="${amp.enabled}" arg2="true"/></not></bool>
-		  
-		  <dcff file="installer/antinstall-config.xml" startTag="&lt;!-- start amp --&gt;" endTag="&lt;!-- end amp --&gt;" />
-		  <dcff file="installer/build.xml" startTag="&lt;!-- start amp --&gt;" endTag="&lt;!-- end amp --&gt;" />
-		</if>
-		<!-- /EXT -->
 		<!-- put the concrete values of things in the config -->
 		<rsr>
 			<fileset dir="${basedir}/installer" includes="*.xml"/>
-<!--			<job pattern="@projectname@" replacement="${projectname}"/>
--->
+			<job pattern="@projectname@" replacement="${projectname}"/>
 			<job pattern="@version@" replacement="${version}${version-extra}"/>
 			<job pattern="@component.size.core@" replacement="${component.size.core}"/>
-			<job pattern="@component.size.tomcat@" replacement="${component.size.tomcat}"/>
-			<job pattern="@component.size.imagemagick@" replacement="${component.size.imagemagick}"/>
-			<job pattern="@component.size.ghostscript@" replacement="${component.size.ghostscript}"/>
-			<job pattern="@component.size.httpd@" replacement="${component.size.httpd}"/>
+			<job pattern="@component.size.java@" replacement="${component.size.java}"/>
 			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
 			<job pattern="@java.extracted@" replacement="${java.extracted}"/>
@@ -149,13 +103,4 @@
 		</if>	
 
-		<!-- EXT -->
-		<if><bool><equals arg1="${amp.enabled}" arg2="true"/></bool>
-		  <rsr>
-		    <fileset dir="${basedir}/installer" includes="*.xml"/>
-		    <job pattern="@component.size.amp@" replacement="${component.size.amp}"/>
-		  </rsr>
-		</if>
-		<!-- /EXT -->
-
 		<!-- put the concrete values of things in the text -->
 		<rsr>
@@ -165,7 +110,4 @@
 			<job pattern="@version.major@" replacement="${version.major}"/>
 			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
 			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
 			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
Index: /other-projects/expeditee-release-kits/kits/rke/ant-scripts/wrap.xml
===================================================================
--- /other-projects/expeditee-release-kits/kits/rke/ant-scripts/wrap.xml	(revision 28716)
+++ /other-projects/expeditee-release-kits/kits/rke/ant-scripts/wrap.xml	(revision 28717)
@@ -22,5 +22,5 @@
 			<rsr file="wrapped-installer/wrapper.cpp">
 				<job pattern="@projectname@" replacement="${projectname}"/>
-				<job pattern="@java.installer@" replacement="${windows-java.installer}"/>
+				<job pattern="@java.installer@" replacement="${java.installer}"/>
 				<job pattern="@java.min.version@" replacement="${java.min.version}"/>
 				<job pattern="@bundled.version.java@" replacement="${bundled.version.windows-java}"/>
@@ -33,5 +33,5 @@
 			<!-- split the resources into chunks, creating a resource script of the chunks -->
 			<rsplit
-				resource="${rk.home}/shared/windows/wrapper/${windows-java.installer}"
+				resource="${rk.home}/shared/windows/wrapper/${java.installer}"
 				outputDir="wrapped-installer"					
 				resourceScript="wrapped-installer/wrapper.rc"
@@ -78,5 +78,5 @@
 
 			<!-- copy bundled files into place -->
-			<copy todir="wrapped-installer" file="${rk.home}/shared/linux/${linux-java.installer}"/>
+			<copy todir="wrapped-installer" file="${rk.home}/shared/linux/${java.installer}"/>
 			<copy tofile="wrapped-installer/${projectname}.jar" file="installer/${projectname}-${version}${version-extra}-${os.suffix}.jar"/>
 
@@ -84,5 +84,5 @@
 			<rsr file="wrapped-installer/wrapper.cpp">
 				<job pattern="@projectname@" replacement="${projectname}"/>
-				<job pattern="@java.installer@" replacement="${linux-java.installer}"/>
+				<job pattern="@java.installer@" replacement="${java.installer}"/>
 				<job pattern="@java.extracted@" replacement="${java.extracted}"/>
 				<job pattern="@java.min.version@" replacement="${java.min.version}"/>
@@ -95,5 +95,5 @@
 			</exec>
 			<exec executable="/usr/bin/objcopy" dir="wrapped-installer">
-			  <arg line="-I binary -O elf64-x86-64 -B i386 --redefine-sym _binary_${linux-java.installer}_start=java --readonly-text ${linux-java.installer} java.o"/>
+			  <arg line="-I binary -O elf64-x86-64 -B i386 --redefine-sym _binary_${java.installer}_start=java --readonly-text ${java.installer} java.o"/>
 			</exec>
 
@@ -103,5 +103,5 @@
 			  </exec>
 			  <exec executable="/usr/bin/objcopy" dir="wrapped-installer" failonerror="true">
-			    <arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_${linux-java.installer}_start=java --readonly-text ${linux-java.installer} java.o"/>
+			    <arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_${java.installer}_start=java --readonly-text ${java.installer} java.o"/>
 			  </exec>
 			 </else>
@@ -118,5 +118,5 @@
 
 			<!-- figure out java size -->
-			<exec executable="ls" dir="wrapped-installer" outputproperty="java.ls"><arg line="-l ${linux-java.installer}"/></exec>
+			<exec executable="ls" dir="wrapped-installer" outputproperty="java.ls"><arg line="-l ${java.installer}"/></exec>
 			<exec executable="sed" inputstring="${java.ls}" outputproperty="java.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
 
Index: /other-projects/expeditee-release-kits/kits/rke/installer/antinstall-config.xml
===================================================================
--- /other-projects/expeditee-release-kits/kits/rke/installer/antinstall-config.xml	(revision 28716)
+++ /other-projects/expeditee-release-kits/kits/rke/installer/antinstall-config.xml	(revision 28717)
@@ -66,14 +66,4 @@
 		<comment name="choose-components"/>
 
-		<!-- if linux|windows -->
-		<target
-			target="Initialising"
-			diskRequirement="x"
-			defaultValue="true"
-			displayText="x"
-			force="true"
-			hidden="true"/>
-		<!-- /if -->
-
 		<target
 			target="Installing Core System"
@@ -83,38 +73,11 @@
 			force="true"/>
 
-		<!--
+		<!-- if linux|windows -->
 		<target
-		        target="Installing Apache Web Server"
-			diskRequirement="@component.size.httpd@"
+			target="Installing Java Runtime"
+			diskRequirement="@component.size.java@"
 			displayText=""
 			defaultValue="true"/>
-
-		<target
-			target="Installing ImageMagick"
-			diskRequirement="@component.size.imagemagick@"
-			defaultValue="true" 
-			displayText=""/>
-		-->
-
-		<!-- if windows|mac -->
-		<target
-			target="Installing Ghostscript"
-			diskRequirement="@component.size.ghostscript@"
-			defaultValue="true" 
-			displayText=""/>
 		<!-- /if -->
-
-
-		<!-- start cdrom -->
-		<!-- the size of this component has to be maintained manually as we can't
-			know at compile time how big the documented examples are -->
-		<!--
-		<target
-			target="Installing Documented Examples"
-			diskRequirement="108 MB"
-			defaultValue="true" 
-			displayText=""/>
-		-->
-		<!-- end cdrom -->
 
 		<!-- if windows -->
@@ -128,22 +91,4 @@
 	</page>
 
-	<!-- page to ask if we should enable admin pages -->
-	<!--
-	<page type="input" name="admin-pages" displayText="">
-		<comment name="admin-expl"/>
-		<comment name="admin-expl-2"/>
-		<comment name="admin-expl-3"/>
-		<checkbox property="enable.admin.pages" displayText="" defaultValue="false"/>
-	</page>
-	-->
-
-	<!-- only if they said yes above, set a password -->
-	<!--
-	<page type="input" name="admin-password" displayText="" ifProperty="(${enable.admin.pages}==true)" target="Configuring Administration Pages">
-		<comment name="admin-password-expl"/>
-		<validated property="admin.password" defaultValue="" displayText="" regex="^.{3,20}$"/>
-	</page>
-	-->
-
 	<!-- progress page -->
 	<page type="progress" name="progress" showTargets="true" displayText=""/>
Index: /other-projects/expeditee-release-kits/kits/rke/installer/build.xml
===================================================================
--- /other-projects/expeditee-release-kits/kits/rke/installer/build.xml	(revision 28716)
+++ /other-projects/expeditee-release-kits/kits/rke/installer/build.xml	(revision 28717)
@@ -67,12 +67,4 @@
 	</target>
 
-	<!-- copy jre -->
-	<target name="Initialising" if="bundled.java.exists">
-		<mkdir dir="${installDir}/packages"/>
-		<copy todir="${installDir}/packages/jre" failonerror="false">
-			<fileset dir="../@java.extracted@"/>
-		</copy>
-		<chmod dir="${installDir}/packages/jre/bin" includes="*" perm="775"/>		
-	</target>
 
 	<!-- core system -->
@@ -100,53 +92,23 @@
 		<!-- end web -->
 
-		<!-- start cdrom -->
-		<copy todir="${installDir}">
-			<fileset dir="${orig.dir}/Software/core/all"/>
-			<fileset dir="${orig.dir}/Software/core/${rk.os}"/><!-- /if -->
-		</copy>
-		<!-- if windows -->
-		<copy todir="${installDir}/packages/jre" failonerror="false">
-			<fileset dir="${orig.dir}/Java/Windows/jre"/>
-		</copy>
-		<!-- /if -->
-		<!-- end cdrom -->
-
 		<echo>Setting Binaries to Executable</echo>
 		<chmod dir="${installDir}" includes="*.sh,*.bash" perm="775"/>
-		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
+		<!-- <chmod dir="${installDir}/bin" includes="*" perm="775"/> 
 		<chmod dir="${installDir}/cgi-bin/${shell.name}" includes="*" perm="775"/>
 		<chmod dir="${installDir}/bin/script" includes="**/*" perm="775"/>
-		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/>
+		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/> -->
 		<!-- if linux|mac -->
-		<chmod dir="${installDir}/bin/${shell.name}" includes="**/*" perm="775"/>
-		<!-- /if -->
-
-		<echo>Filling in concrete values in config files</echo>
-		<copy file="${installDir}/cgi-bin/${shell.name}/gsdlsite.cfg.in" tofile="${installDir}/cgi-bin/${shell.name}/gsdlsite.cfg"/>
-		<rsr file="${installDir}/cgi-bin/${shell.name}/gsdlsite.cfg" pattern="&quot;?\*\*GSDLHOME\*\*&quot;?" replacement="&quot;${installDir.local}&quot;"/>
-
-		<echo>Correcting perl shebangs in perl scripts</echo>
+		<!-- <chmod dir="${installDir}/bin/${shell.name}" includes="**/*" perm="775"/> -->
+		<!-- /if -->
+
 		<!-- if linux|mac -->
-		<exec executable="which" outputproperty="perl.executable"><arg value="perl"/></exec>
-		<rsr file="${installDir}/cgi-bin/${shell.name}/gliserver.pl" pattern="^#!.*" replacement="#!${perl.executable} -w" lines="1"/>
-		<rsr file="${installDir}/cgi-bin/${shell.name}/metadata-server.pl" pattern="^#!.*" replacement="#!${perl.executable} -w" lines="1"/>
-		<rsr file="${installDir}/cgi-bin/${shell.name}/checksum.pl" pattern="^#!.*" replacement="#!${perl.executable} -w" lines="1"/>
-		<!-- /if -->
-		<!-- if windows -->
-		<property name="perl.executable" value="${installDir.local}\bin\windows\perl\bin\perl.exe"/>
-		<rsr file="${installDir}/cgi-bin/${shell.name}/gliserver.pl" pattern="^#!.*" replacement="#!${perl.executable} -w" lines="1"/>
-		<rsr file="${installDir}/cgi-bin/${shell.name}/metadata-server.pl" pattern="^#!.*" replacement="#!${perl.executable} -w" lines="1"/>
-		<rsr file="${installDir}/cgi-bin/${shell.name}/checksum.pl" pattern="^#!.*" replacement="#!${perl.executable} -w" lines="1"/>
-		<!-- /if -->
-
-		<echo>Creating the english dictionary</echo>
-		<copy file="${installDir}/gli/classes/dictionary.properties" tofile="${installDir}/gli/classes/dictionary_en.properties"/>
-
-		<!-- if linux|mac -->
+		<!--
 		<echo>Set the installation locale in config files</echo>
 		<rsr file="${installDir}/setup.bash" pattern="^gsdllang=.*" replacement="gsdllang=${language}"/>
 		<rsr file="${installDir}/gli/gli.sh" pattern="^glilang=.*" replacement="glilang=${language}"/>
 		<rsr file="${installDir}/gli/gems.sh" pattern="^glilang=.*" replacement="glilang=${language}"/>
-		<!-- /if -->
+		-->
+		<!-- /if -->
+		<!--
 		<rsr
 			file="${installDir}/gli/classes/xml/config.xml"
@@ -158,12 +120,14 @@
 
 		<echo message="Creating installation properties file"/>
+		-->
 		<!-- if linux|mac -->
-		<echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo>
+		<!-- <echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo> -->
 		<!-- /if -->
 		<!-- if windows -->
-		<echo file="${installDir}\etc\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo>
+		<!-- <echo file="${installDir}\etc\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo> -->
 		<!-- /if -->
 		
 		<!-- if mac -->
+		<!--
 		<copy file="${installDir}/gli.app/Contents/document.wflow.in" tofile="${installDir}/gli.app/Contents/document.wflow"/>
 		<rsr file="${installDir}/gli.app/Contents/document.wflow" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
@@ -180,95 +144,18 @@
 		<chmod dir="${installDir}" includes="*.app" perm="755"/>
 		<chmod dir="${installDir}" includes="*.app/**/*" perm="755"/>
-		<!-- /if -->
-	</target>
-
-	<!-- Apache HTTPD  -->
-	<target name="Installing Apache Web Server">
-		<echo>Installing the Apache Web Server</echo>
-
-		<!-- start web -->
-		<unzip src="${antinstaller.jar}" dest="${basedir}">
-			<patternset>
-				<include name="apachehttpd.lzma"/>
-			</patternset>
-		</unzip>
-
-		<!-- if linux|mac -->
-		<sevenzip task="decode" input="${basedir}/apachehttpd.lzma" output="${basedir}/apachehttpd.comp"/>
-		<!-- /if -->
-		<!-- if windows -->
-		<exec dir="${basedir}" executable="${basedir}/7za.exe">
-			<arg line="x apachehttpd.lzma"/>
-		</exec>
-		<!-- /if -->
-		<unzip src="${basedir}/apachehttpd.comp" dest="${installDir}"/>
-		<delete file="apachehttpd.comp"/>
-		<!-- end web -->
-
-		<!-- start cdrom -->
-		<mkdir dir="${installDir}/apache-httpd"/>
-		<mkdir dir="${installDir}/apache-httpd/${shell.name}"/>
-		<copy todir="${installDir}/apache-httpd/${shell.name}">
-			<fileset dir="${orig.dir}/Software/apache-httpd/${shell.name}"/>
+		-->
+		<!-- /if -->
+	</target>
+
+	<!-- <target name="Initialising" if="bundled.java.exists"> -->
+	<!-- Java Runtime  -->
+	<target name="Installing Java Runtime">
+		<echo>Installing the Java Runtime</echo>
+		<mkdir dir="${installDir}/packages"/>
+		<copy todir="${installDir}/packages/jre" failonerror="false">
+			<fileset dir="../@java.extracted@"/>
 		</copy>
-		<!-- end cdrom -->
-
-		<!-- if linux|mac -->
-		<chmod dir="${installDir}/apache-httpd/${shell.name}/bin" includes="*" perm="775"/>
-		<chmod dir="${installDir}/apache-httpd/${shell.name}" includes="*.sh" perm="775"/>
-		<echo>Setting up apache web server</echo>
-		<exec dir="${installDir}" executable="${installDir}/apache-httpd/${shell.name}/install-bindist.sh">
-			<arg value="${installDir}/apache-httpd/${shell.name}"/>
-		</exec>
-		<!-- /if -->
-	</target>
-
-	<!-- ImageMagick -->
-	<target name="Installing ImageMagick">
-		<echo>Installing ImageMagick</echo>
-		<!-- start web -->
-		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
-		<!-- if linux|mac --><sevenzip task="decode" input="${basedir}/imagemagick.lzma" output="${basedir}/imagemagick.comp"/><!-- /if -->
-		<!-- if windows --><exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x imagemagick.lzma"/></exec><!-- /if -->
-		<delete file="imagemagick.lzma"/>
-		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}"/>
-		<delete file="imagemagick.comp"/>
-		<!-- end web -->
-
-		<!-- start cdrom -->
-		<copy todir="${installDir}">
-			<fileset dir="${orig.dir}/Software/imagemagick/${rk.os}"/>
-		</copy>
-		<!-- end cdrom -->
-
-		<if><bool><available file="${installDir}/bin/${shell.name}/imagemagick" type="dir"/></bool>
-			<chmod dir="${installDir}/bin/${shell.name}/imagemagick/bin" includes="*" perm="775"/>
-		<else>
-			<chmod dir="${installDir}/ext/imagemagick/${shell.name}/bin" includes="*" perm="775"/>
-		</else>
-		</if>
-
-	</target>
-
-	<!-- Ghostscript -->
-	<target name="Installing Ghostscript" depends="">
-		<echo message="Installing Ghostscript"/>
-		<!-- start web -->
-		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ghostscript.lzma"/></patternset></unzip>
-		<!-- if linux|mac --><sevenzip task="decode" input="${basedir}/ghostscript.lzma" output="${basedir}/ghostscript.comp"/><!-- /if -->
-		<!-- if windows --><exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x ghostscript.lzma"/></exec><!-- /if -->
-		<delete file="ghostscript.lzma"/>
-		<unzip src="${basedir}/ghostscript.comp" dest="${installDir}" />
-		<delete file="ghostscript.comp"/>
-		<!-- end web -->
-
-		<!-- start cdrom -->
-		<copy todir="${installDir}">
-			<fileset dir="${orig.dir}/Software/ghostscript/${rk.os}"/>
-		</copy>
-		<!-- end cdrom -->
-
-		<chmod dir="${installDir}/bin/${shell.name}/ghostscript/bin" includes="*" perm="775"/>
-	</target>	
+		<chmod dir="${installDir}/packages/jre/bin" includes="*" perm="775"/>		
+	</target>
 
 	<!-- Start menu shortcuts -->