Index: other-projects/expeditee-release-kits/kits/rke/ant-scripts/compile.xml
===================================================================
--- other-projects/expeditee-release-kits/kits/rke/ant-scripts/compile.xml	(revision 28727)
+++ other-projects/expeditee-release-kits/kits/rke/ant-scripts/compile.xml	(revision 28728)
@@ -22,5 +22,5 @@
 
 		<!-- copy search4j -->
-		<if><bool><or><equals arg1="${rk.os}" arg2="mac"/><equals arg1="${rk.os}" arg2="linux"/></or></bool>
+		<if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
 			<exec dir="${rk.home}/shared/core/search4j" executable="./configure" failonerror="true"/>
 			<exec dir="${rk.home}/shared/core/search4j" executable="make" failonerror="true"/>
@@ -31,11 +31,12 @@
 			<copy file="${rk.home}/shared/core/search4j/search4j.exe" todir="${basedir}/compiled/bin" />
 		</if>
-
 		<!-- copy run scripts -->
-		<copy todir="${basedir}/compiled">
-			<fileset dir="${rk.home}/scripts">
-				<include name="**" />
-			</fileset>
-		</copy>
+		<if><bool><or><equals arg1="${rk.os}" arg2="linux"/><equals arg1="${rk.os}" arg2="windows"/></or></bool>
+			<copy todir="${basedir}/compiled">
+				<fileset dir="${rk.home}/scripts">
+					<include name="**" />
+				</fileset>
+			</copy>
+		</if>
 	</target>
 
Index: other-projects/expeditee-release-kits/kits/rke/ant-scripts/create-cdrom-components.xml
===================================================================
--- other-projects/expeditee-release-kits/kits/rke/ant-scripts/create-cdrom-components.xml	(revision 28727)
+++ 	(revision )
@@ -1,204 +1,0 @@
-<?xml version="1.0" encoding="utf-8" ?>
-<project name="rk2-create-cdrom-components" default="create-cdrom-components">
-
-	<!--
-		cd components
-		produce components for cdrom distributions, to be picked up and used by cdrk2 release kit
-		split components into linux only files (linux) and general files (all)
-	-->
-
-	<target name="create-cdrom-components" depends="init,gs2-init">
-		<antcall target="compile-cdrom-installer"/> <!-- from init -->
-
-		<!-- clean up -->
-		<delete dir="cdrom"/>
-
-		<!-- setup directory structure -->
-		<mkdir dir="cdrom/build"/>
-		<mkdir dir="cdrom/dist/Software"/>
-		<mkdir dir="cdrom/dist/Java/Jars"/>
-
-		<!-- create core component -->
-		<mkdir dir="cdrom/dist/Software/core/all"/>
-		<mkdir dir="cdrom/dist/Software/core/${rk.os}"/>
-
-		<if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>
-		  <mkdir dir="cdrom/dist/Software/core/full-windows"/>
-		</if>
-
-		<!-- core linux -->
-		<if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
-			<unzip src="components/core.comp" dest="cdrom/dist/Software/core/all" overwrite="true"/>
-			<move todir="cdrom/dist/Software/core/linux" overwrite="true">
-				<fileset dir="cdrom/dist/Software/core/all">
-					<include name="bin/linux"/>
-					<include name="bin/linux/**/*"/>
-					<include name="bin/windows"/>
-					<include name="bin/windows/**/*"/>
-					<include name="cgi-bin/library.cgi"/>
-					<include name="cgi-bin/oaiserver.cgi"/>
-					<include name="*.sh"/>
-					<include name="*.csh"/>
-					<include name="*.bash"/>
-				</fileset>
-			</move>
-			<!-- delete the apache manual to save space -->
-			<delete dir="cdrom/dist/Software/core/linux/apache-httpd/linux/manual"/>
-
-		<!-- core windows -->
-		<else><if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>
-			<unzip src="components/core.comp" dest="cdrom/dist/Software/core/windows" overwrite="true">
-				<patternset>
-					<include name="bin/windows"/>
-					<include name="bin/windows/**/*"/>
-					<include name="server.exe"/>
-					<include name="cgi-bin/library.cgi"/>
-					<include name="cgi-bin/oaiserver.cgi"/>
-					<include name="*.bat"/>
-					<include name="gli/*.bat"/>
-					<include name="uninstall/*.bat"/>
-					<include name="uninstall/*.uninstall"/>
-				</patternset>
-			</unzip>
-
-			<unzip src="components/core.comp" dest="cdrom/dist/Software/core/full-windows" overwrite="true"/>
-
-		<!-- core mac -->
-		<else><if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
-			<unzip src="components/core.comp" dest="cdrom/dist/Software/core/mac" overwrite="true">
-				<patternset>
-					<include name="bin/darwin"/>
-					<include name="bin/darwin/**/*"/>
-					<include name="bin/windows"/>
-					<include name="bin/windows/**/*"/>
-					<include name="cgi-bin/library.cgi"/>
-					<include name="cgi-bin/oaiserver.cgi"/>
-					<include name="*.sh"/>
-					<include name="*.csh"/>
-					<include name="*.bash"/>
-				</patternset>
-			</unzip>
-			<!-- delete the httpd manual to save space -->
-			<delete dir="cdrom/dist/Software/core/mac/apache-httpd/darwin/manual"/>
-
-		</if></else></if></else></if>
-
-		<!-- imagemagick -->
-		<mkdir dir="cdrom/dist/Software/imagemagick/${rk.os}"/>
-		<unzip src="components/imagemagick.comp" dest="cdrom/dist/Software/imagemagick/${rk.os}" overwrite="true"/>
-
-		<!-- ghostscript: windows and mac only -->
-		<if><bool><or><equals arg1="${rk.os}" arg2="windows"/><equals arg1="${rk.os}" arg2="mac"/></or></bool>
-			<mkdir dir="cdrom/dist/Software/ghostscript/${rk.os}"/>
-			<unzip src="components/ghostscript.comp" dest="cdrom/dist/Software/ghostscript/${rk.os}" overwrite="true"/>
-		</if>
-		
-		<!-- apache httpd -->
-		<unzip src="components/apachehttpd.comp" dest="cdrom/dist/Software" overwrite="true"/>
-		
-		<!-- jre linux -->
-		<if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
-			<mkdir dir="cdrom/dist/Java/Linux"/>
-			<exec executable="cp">
-				<arg value="${rk.home}/shared/linux/jre_bin${extension_x64}"/>
-				<arg value="cdrom/dist/Java/Linux"/>
-			</exec>
-			<!--
-			don't extract to save space
-			<exec dir="cdrom/dist/Java/Linux" executable="${rk.home}/shared/linux/jre_bin"/>
-			<exec dir="cdrom/dist/Java/Linux" executable="tar"><arg value="-xf"/><arg value="jre.tar"/></exec>
-			<delete file="cdrom/dist/Java/Linux/jre.tar"/>
-			-->
-
-		<!-- jre windows -->
-		<else><if><bool><or><equals arg1="${rk.os}" arg2="windows"/></or></bool>
-			<mkdir dir="cdrom/dist/Java/Windows"/>
-			<exec dir="cdrom/dist/Java/Windows" executable="${rk.home}/shared/windows/wrapper/jre.exe"/>
-
-		</if></else></if>
-
-		<!-- jar installer: windows and linux only -->
-		<if><bool><or><equals arg1="${rk.os}" arg2="windows"/><equals arg1="${rk.os}" arg2="mac"/></or></bool>
-			<copy file="installer/cdrom.jar" tofile="cdrom/dist/Java/Jars/${rk.os}.jar"/>
-		</if>
-
-		<!-- compile cdrom wrapper -->
-		<!-- (windows) -->
-		<if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>
-			<copy todir="cdrom/build" overwrite="true">
-				<fileset dir="${rk.home}/shared/windows/wrapper"/>
-				<fileset dir="${rk.home}/shared/core/icon" includes="icon.ico"/>
-				<fileset dir="${rk.home}/shared/core/search4j" includes="libsearch4j.cpp,libsearch4j.h"/>
-			</copy>
-			<exec executable="rc" dir="cdrom/build">
-				<arg line="wrapper.rc"/>
-			</exec>
-			<exec executable="cl" dir="cdrom/build">
-				<arg line="/c -GX -DCDROM wrapper.cpp"/>
-			</exec>
-			<exec executable="link" dir="cdrom/build">
-				<arg line="/OUT:../dist/Greenstone-${version}${version-extra}-windows.exe gdi32.lib advapi32.lib shell32.lib user32.lib wrapper.obj wrapper.RES"/>
-			</exec>
-
-		<!-- (linux) -->
-		<else><if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
-			<copy file="${rk.home}/shared/linux/wrapper.cpp" todir="cdrom/build" overwrite="true"/>
-
-			<echo level="info">compile the cdrom wrapper</echo>
-			<exec executable="g++" dir="cdrom/build">
-				<arg line="-Wall -static -static-libgcc -c -DCDROM -o wrapper.o wrapper.cpp"/>
-			</exec>
-
-			<echo level="info">link the compiled code</echo>
-			<exec executable="g++" dir="cdrom/build">
-				<arg line="-static -static-libgcc -o ../dist/Greenstone-${version}${version-extra}-linux wrapper.o"/>
-			</exec>
-
-		<!-- (mac) -->
-		<else><if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
-
-			<mkdir dir="wrapped-installer/cdrom"/>
-			<!-- create app for cdrom installer -->
-			<copy todir="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app"><fileset dir="${rk.home}/shared/mac/Wrapper.app"/></copy>
-			<copy todir="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app/Contents/Resources" file="${rk.home}/shared/core/icon/icon.icns"/>
-			<chmod file="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app/Contents/MacOS/JavaApplicationStub" perm="+x"/>
-
-			<!-- copy bundled files -->
-			<copy todir="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app/Contents/Resources/Java" file="${basedir}/installer/cdrom.jar"/>
-
-			<!-- substitute in real values -->
-			<rsr file="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app/Contents/Info.plist" pattern="@jar@" replacement="cdrom.jar"/>
-			<rsr file="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
-			
-		</if></else></if></else></if>
-
-
-		<!-- create cdrom components -archive -->
-		<mkdir dir="products"/>
-		<!-- (windows) -->
-		<if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>
-			<tar destfile="products/cdrom-components-${version}${version-extra}-windows.tar.gz" compression="gzip">
-				<tarfileset dir="cdrom/dist">
-					<include name="**/*"/>
-					<exclude name="**/full-windows"/>
-					<exclude name="**/full-windows/**/*"/>
-				</tarfileset>
-			</tar>
-			<tar destfile="products/cdrom-components-${version}${version-extra}-full-windows.tar.gz" compression="gzip">
-				<tarfileset dir="cdrom/dist">
-					<include name="**/*"/>
-					<exclude name="**/Software/core/windows"/>
-					<exclude name="**/Software/core/windows/**/*"/>
-				</tarfileset>
-			</tar>
-
-		<!-- (linux and mac) -->
-		<else><if><bool><or><equals arg1="${rk.os}" arg2="linux"/><equals arg1="${rk.os}" arg2="mac"/></or></bool>
-			<exec dir="cdrom/dist" executable="bash">
-				<arg value="-c"/>
-				<arg value="tar -czf ../../products/cdrom-components-${version}${version-extra}-${rk.os}${extension-x64}.tar.gz *"/>
-			</exec>
-		</if></else></if>
-	</target>
-
-</project>
Index: other-projects/expeditee-release-kits/kits/rke/ant-scripts/wrap.xml
===================================================================
--- other-projects/expeditee-release-kits/kits/rke/ant-scripts/wrap.xml	(revision 28727)
+++ other-projects/expeditee-release-kits/kits/rke/ant-scripts/wrap.xml	(revision 28728)
@@ -66,6 +66,6 @@
 			</exec>
 
-		<!-- (linux and mac) -->
-		<else><if><bool><or><equals arg1="${rk.os}" arg2="linux"/><equals arg1="${rk.os}" arg2="mac"/></or></bool>
+		<!-- (linux) -->
+		<else><if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
 			<!-- create the build directory -->
 			<mkdir dir="wrapped-installer"/>
@@ -73,10 +73,10 @@
 			<!-- copy the source into place --> 
 			<copy todir="wrapped-installer" overwrite="true">
-				<fileset file="${rk.home}/shared/${rk.os}/wrapper.cpp"/>
+				<fileset file="${rk.home}/shared/linux/wrapper.cpp"/>
 				<fileset dir="${rk.home}/shared/core/search4j" includes="libsearch4j.cpp,libsearch4j.h"/>
 			</copy>
 
 			<!-- copy bundled files into place -->
-			<copy todir="wrapped-installer" file="${rk.home}/shared/${rk.os}/${java.installer}"/>
+			<copy todir="wrapped-installer" file="${rk.home}/shared/linux/${java.installer}"/>
 			<copy tofile="wrapped-installer/${projectname}.jar" file="installer/${projectname}-${version}${version-extra}-${os.suffix}.jar"/>
 
@@ -136,28 +136,24 @@
 			<!-- link the compiled code and bundled files -->
 			<exec executable="g++" dir="wrapped-installer">
-				<arg line="-static -static-libgcc -o ../products/${projectname}-${version}${version-extra}-${rk.os}${extension-x64} wrapper.o libsearch4j.o ${projectname}.jar.o java.o"/>
+				<arg line="-static -static-libgcc -o ../products/${projectname}-${version}${version-extra}-linux${extension-x64} wrapper.o libsearch4j.o ${projectname}.jar.o java.o"/>
 			</exec>
 
-		</if></else></if>
 		<!-- (mac) -->
-		<if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
+		<else><if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
+
+			<!-- create and setup the build directory -->
+			<mkdir dir="wrapped-installer"/>
 
 			<!-- create app for main installer -->
-			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app">
-				<fileset dir="${rk.home}/shared/mac/Wrapper.app"/>
-			</copy>
+			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app"><fileset dir="${rk.home}/shared/mac/Wrapper.app"/></copy>
 			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Resources" file="${rk.home}/shared/core/icon/icon.icns"/>
-			<chmod file="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
+			<chmod file="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/MacOS/Expeditee" perm="ug+x"/>
 
 			<!-- copy bundled files -->
-			<!-- 
-			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Resources/Java" file="../products/${projectname}-${version}${version-extra}-${rk.os}${extension-x64}"/>
-			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Resources/Java" file="${rk.home}/shared/mac/${java.installer}"/>
-			-->
-			<move todir="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Resources/Java" file="../products/${projectname}-${version}${version-extra}-${rk.os}${extension-x64}"/>
+			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Resources"><fileset dir="compiled"/></copy>
+			<copy tofile="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Resources/jre_bin" file="${rk.home}/shared/mac/${java.installer}"/>
 
 			<!-- substitute in real values -->
 			<rsr file="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Info.plist">
-				<job pattern="@jar@" replacement="${projectname}-${version}${version-extra}-${os.suffix}.jar"/>
 				<job pattern="@projectname@" replacement="${projectname}"/>
 				<job pattern="@version@" replacement="${version}${version-extra}"/>
@@ -180,5 +176,6 @@
 			<!-- unmount it-->
 			<exec executable="hdiutil" failonerror="true"><arg line="detach /Volumes/${dmg.name}"/></exec>
-		</if>
+		</if></else></if></else></if>
+
 
 	</target>
Index: other-projects/expeditee-release-kits/shared/mac/Wrapper.app/Contents/Info.plist
===================================================================
--- other-projects/expeditee-release-kits/shared/mac/Wrapper.app/Contents/Info.plist	(revision 28727)
+++ other-projects/expeditee-release-kits/shared/mac/Wrapper.app/Contents/Info.plist	(revision 28728)
@@ -4,7 +4,7 @@
 <dict>
 	<key>CFBundleName</key>
-	<string>Expeditee</string>
+	<string>@projectname@</string>
 	<key>CFBundleVersion</key>
-	<string></string>
+	<string>@version@</string>
 	<key>CFBundleAllowMixedLocalizations</key>
 	<string>true</string>