Index: main/trunk/model-sites-dev/von-sparql/collect/nz-natlib-cat/etc/collectionConfig.xml
===================================================================
--- main/trunk/model-sites-dev/von-sparql/collect/nz-natlib-cat/etc/collectionConfig.xml	(revision 28734)
+++ main/trunk/model-sites-dev/von-sparql/collect/nz-natlib-cat/etc/collectionConfig.xml	(revision 28735)
@@ -7,5 +7,5 @@
 	</metadataList>
 	<displayItemList>
-		<displayItem assigned="true" lang="en" name="name">Papers Bibliography2</displayItem>
+		<displayItem assigned="true" lang="en" name="name">NZ National Library Catalog</displayItem>
 		<displayItem assigned="true" lang="en" name="text">text</displayItem>
 		<displayItem assigned="true" lang="en" name="dc.Title,ex.dc.Title,Title">titles</displayItem>
@@ -49,19 +49,23 @@
 		<searchType name="simpleform"/>
 		<searchType name="advancedform"/>
-		<format>  <gsf:template match="documentNode">
-    <td valign="top">
-      <gsf:link type="document">
-        <gsf:icon type="document"/>
-      </gsf:link>
-    </td>
-    <td>
-      <gsf:link type="document">
-        <xsl:call-template name="choose-title"/>
-      </gsf:link>
-    </td>
-  </gsf:template>
+		<format>
+			<gsf:template match="documentNode">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td>
+					<gsf:link type="document">
+						<xsl:call-template name="choose-title"/>
+					</gsf:link>
+				</td>
+			</gsf:template>
+		</format>
+	</search>
 
-</format>
-	</search>
+    <search type="jenaTDB" orthogonal="true"/>
+
+
 	<infodb type="gdbm"/>
 	<import>
@@ -69,4 +73,7 @@
 			<plugin name="ZIPPlugin"/>
 			<plugin name="GreenstoneXMLPlugin"/>
+			<plugin name="MARCXMLPlugin">
+				<option name="-metadata_mapping_file" value="marc2all.txt"/>
+			</plugin>
 			<plugin name="TextPlugin"/>
 			<plugin name="HTMLPlugin"/>
@@ -95,45 +102,50 @@
 			<option name="-metadata" value="dc.Creator"/>
 		</classifier>
-		<format>  <gsf:template match="documentNode">
-    <td valign="top">
-      <gsf:link type="document">
-        <gsf:icon type="document"/>
-      </gsf:link>
-    </td>
-    <td valign="top">
-      <gsf:link type="source">
-        <gsf:choose-metadata>
-          <gsf:metadata name="thumbicon"/>
-          <gsf:metadata name="srcicon"/>
-        </gsf:choose-metadata>
-      </gsf:link>
-    </td>
-    <td valign="top">
-      <gsf:link type="document">
+		<classifier name="AZCompactList">
+			<option name="-metadata" value="nz.ISBN"/>
+		</classifier>
+		<classifier name="AZCompactList">
+			<option name="-metadata" value="dc.Publisher"/>
+		</classifier>
+		<format>
+			<gsf:template match="documentNode">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:link type="source">
+						<gsf:choose-metadata>
+							<gsf:metadata name="thumbicon"/>
+							<gsf:metadata name="srcicon"/>
+						</gsf:choose-metadata>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:link type="document">
 <!--
 Defined in the global format statement
 -->
-        <xsl:call-template name="choose-title"/>
-        
-      </gsf:link>
-    </td>
-  </gsf:template>
-  <gsf:template match="classifierNode[@classifierStyle = 'VList']">
-    <td valign="top">
-      <gsf:link type="classifier">
-        <gsf:icon type="classifier"/>
-      </gsf:link>
-    </td>
-    <td valign="top">
-      <gsf:metadata name="Title"/>
-    </td>
-  </gsf:template>
-  <gsf:template match="classifierNode[@classifierStyle = 'HList']">
-    <gsf:link type="classifier">
-      <gsf:metadata name="Title"/>
-    </gsf:link>
-  </gsf:template>
-
-</format>
+						<xsl:call-template name="choose-title"/>
+					</gsf:link>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'VList']">
+				<td valign="top">
+					<gsf:link type="classifier">
+						<gsf:icon type="classifier"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:metadata name="Title"/>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'HList']">
+				<gsf:link type="classifier">
+					<gsf:metadata name="Title"/>
+				</gsf:link>
+			</gsf:template>
+		</format>
 	</browse>
 	<display>