Index: other-projects/expeditee-release-kits/kits/rke/ant-scripts/wrap.xml
===================================================================
--- other-projects/expeditee-release-kits/kits/rke/ant-scripts/wrap.xml	(revision 28729)
+++ other-projects/expeditee-release-kits/kits/rke/ant-scripts/wrap.xml	(revision 28738)
@@ -146,10 +146,14 @@
 
 			<!-- create app for main installer -->
-			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app"><fileset dir="${rk.home}/shared/mac/Wrapper.app"/></copy>
+			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app">
+				<fileset dir="${rk.home}/shared/mac/Wrapper.app"/>
+			</copy>
 			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Resources" file="${rk.home}/shared/core/icon/icon.icns"/>
 			<chmod file="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/MacOS/Expeditee" perm="ug+x"/>
 
 			<!-- copy bundled files -->
-			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Resources"><fileset dir="compiled"/></copy>
+			<copy todir="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Resources">
+				<fileset dir="compiled"/>
+			</copy>
 			<copy tofile="wrapped-installer/${projectname}${version}${version-extra}.app/Contents/Resources/jre_bin" file="${rk.home}/shared/mac/${java.installer}"/>
 
@@ -160,20 +164,52 @@
 			</rsr>
 
+
 			<!-- turn app into a dmg -->
 
 			<!-- get size of app -->
-			<exec executable="du" dir="wrapped-installer" outputproperty="app.du"><arg line="-ks ${projectname}${version}${version-extra}.app"/></exec>
-			<exec executable="sed" inputstring="${app.du}" outputproperty="app.size"><arg line="-e 's/^\([0-9]*\).*$/\1/g'"/></exec>
+			<exec executable="du" dir="wrapped-installer" outputproperty="app.du">
+				<arg line="-ks ${projectname}${version}${version-extra}.app"/>
+			</exec>
+			<exec executable="sed" inputstring="${app.du}" outputproperty="app.size">
+				<arg line="-e 's/^\([0-9]*\).*$/\1/g'"/>
+			</exec>
 			<math result="dmg.size" operand1="${app.size}" operation="+" operand2="${dmg.overhead}" datatype="int"/>
 
 			<!-- create disk image -->
 			<property name="dmg.name" value="${projectname}-${version}${version-extra}-${os.suffix}"/>
-			<exec dir="products" executable="hdiutil" failonerror="true"><arg line="create -ov -size ${dmg.size}k -fs HFS+ -volname ${dmg.name} ${dmg.name}.dmg"/></exec>
+			<exec dir="products" executable="hdiutil" failonerror="true">
+				<arg line="create -ov -size ${dmg.size}k -fs HFS+ -volname ${dmg.name} ${dmg.name}-tmp.dmg"/>
+			</exec>
 			<!-- mount it -->
-			<exec executable="hdiutil" dir="products" failonerror="true"><arg line="attach ${dmg.name}.dmg"/></exec>
+			<exec executable="hdiutil" dir="products" failonerror="true">
+				<arg line="attach ${dmg.name}-tmp.dmg"/>
+			</exec>
 			<!-- copy file into it -->
-			<exec executable="cp"><arg line="-r wrapped-installer/${projectname}${version}${version-extra}.app /Volumes/${dmg.name}"/></exec>
+			<exec executable="cp">
+				<arg line="-r wrapped-installer/${projectname}${version}${version-extra}.app /Volumes/${dmg.name}"/>
+			</exec>
+			<!-- add background image, icon and .DS_STORE -->
+			<mkdir dir="/Volumes/${dmg.name}/.background"/>
+			<copy file="${rk.home}/shared/mac/dmg-bg.png"
+				tofile="/Volumes/${dmg.name}/.background/background.png"
+				overwrite="true"/>
+			<copy file="${rk.home}/shared/core/icon/icon.icns"
+				tofile="/Volumes/${dmg.name}/.VolumeIcon.icns"
+				overwrite="true"/>
+			<copy file="${rk.home}/shared/mac/DS_Store"
+				tofile="/Volumes/${dmg.name}/.DS_Store"
+				overwrite="true"/>
+			<!-- add symlink to applications folder -->
+			<symlink link="/Volumes/${dmg.name}" resource="/Applications"/>
 			<!-- unmount it-->
-			<exec executable="hdiutil" failonerror="true"><arg line="detach /Volumes/${dmg.name}"/></exec>
+			<exec executable="hdiutil" failonerror="true">
+				<arg line="detach /Volumes/${dmg.name}"/>
+			</exec>
+			<!-- Compress it to a new image -->
+			<exec executable="hdiutil" os="Mac OS X" failonerror="true">
+				<arg line="convert ${dmg.name}-tmp.dmg -format UDZO -o ${dmg.name}.dmg"/>
+			</exec>
+			<!-- Delete the temporary image -->
+			<delete file="${dmg.name}-tmp.dmg" quiet="yes" failonerror="false"/>
 		</if></else></if></else></if>
 
Index: other-projects/expeditee-release-kits/shared/mac/DS_Store
===================================================================
--- other-projects/expeditee-release-kits/shared/mac/DS_Store	(revision 28738)
+++ other-projects/expeditee-release-kits/shared/mac/DS_Store	(revision 28738)
@@ -0,0 +1,1 @@
+# TODO: Generate this