Index: main/trunk/model-sites-dev/multimodal-mdl/collect/salami-ground-truth/transform/pages/about.xsl
===================================================================
--- main/trunk/model-sites-dev/multimodal-mdl/collect/salami-ground-truth/transform/pages/about.xsl	(revision 28746)
+++ main/trunk/model-sites-dev/multimodal-mdl/collect/salami-ground-truth/transform/pages/about.xsl	(revision 28747)
@@ -47,5 +47,5 @@
 
 
-    <script src="{$httpPath}/script/browser-detect.js" type="text/javascript">
+    <script src="{$httpPath}/script2/browser-detect.js" type="text/javascript">
 	/* space filler needed */
     </script>
@@ -55,8 +55,7 @@
 
 
-<h2>A Musical Web Observatory: </h2>
-
-<h3><i><font size="+2">Connecting People with Data, Documents, and Algorithms</font></i></h3>
-
+<h2>Structured Audio in a Music Digital Library</h2>
+
+<!--
 <div style="background-color: #DD3611; color: white; padding: 4pt; margin-bottom: 6pt;">
 <table>
@@ -139,6 +138,13 @@
 </table>
 </div>
-
-<p class="about">This project is currently work in progress.  The sequence of development so far has been:
+-->
+
+<p class="about">
+This digital library collection is derived from the American workset,
+from the <a href="http://salami.lis.illinois.edu">SALAMI</a> project.
+
+</p>
+
+<p class="about">This music DL embodies the following:
 
 <style>
Index: main/trunk/model-sites-dev/multimodal-mdl/collect/salami-ground-truth/transform/pages/document.xsl
===================================================================
--- main/trunk/model-sites-dev/multimodal-mdl/collect/salami-ground-truth/transform/pages/document.xsl	(revision 28746)
+++ main/trunk/model-sites-dev/multimodal-mdl/collect/salami-ground-truth/transform/pages/document.xsl	(revision 28747)
@@ -218,5 +218,14 @@
 	  <tr valign="top">
 	    <td>Artist Summary</td>
-	    <td><i><gsf:metadata name="LastFM.LastFMArtistWikiSummary"/></i></td>
+	    <td>
+              <i>
+                <gsf:script>
+                  var summary = gs.documentMetadata["LastFM_LastFMArtistWikiSummary"];
+		  
+                  document.write(summary.replace("\n","&lt;br /&gt;"));		  
+                </gsf:script>
+              </i>
+            </td>
+
 	  </tr>
 	  
@@ -265,11 +274,11 @@
 	      -->
 
-	      <table>
+	      <table style="width: 100%;">
 		<tr>
-		  <td>
+		  <td style="width: 200px;">
 		    MusicBrainz song id: 
 		  </td>
 		  <td>
-		    <a href="http://dbtune.org/musicbrainz/resource/track/{$musicbrainzsongid}" target="#musicbrainz">
+		    <a href="http://dbtune.org/musicbrainz/resource/track/{$musicbrainzsongid}" target="#musicbrainz" class="external">
 		      <xsl:copy-of select="$musicbrainzsongid"/>
 		    </a>
@@ -282,5 +291,5 @@
 		  </td>
 		  <td>
-		    <a href="http://dbtune.org/musicbrainz/resource/record/{$musicbrainzalbumid}" target="#musicbrainz">
+		    <a href="http://dbtune.org/musicbrainz/resource/record/{$musicbrainzalbumid}" target="#musicbrainz" class="external">
 		      <xsl:copy-of select="$musicbrainzalbumid"/>
 		    </a>
@@ -293,13 +302,6 @@
 		  </td>
 		  <td>
-		    <a href="http://dbtune.org/musicbrainz/page/artist/{$musicbrainzartistid}" target="#musicbrainz">
+		    <a href="http://dbtune.org/musicbrainz/page/artist/{$musicbrainzartistid}" target="#musicbrainz" class="external">
 		      <xsl:copy-of select="$musicbrainzartistid"/>
-		    </a>
-		  </td>
-		</tr>
-		<tr>
-		  <td colspan="2">	      
-		    <a href="{$lastfmtrackurl}" target="#lastfm">
-		      <xsl:copy-of select="$lastfmtrackurl"/>
 		    </a>
 		  </td>
@@ -310,7 +312,19 @@
 		  </td>
 		  <td>
-		    <a href="{$echonestsongid}" target="#echonestsongid">
+		    <a href="http://developer.echonest.com/api/v4/song/profile?api_key=8WNR9XTGCODO9G4YG&amp;format=xml&amp;id={$echonestsongid}" target="#echonestsongid" class="external">
+
+
+
 		      <xsl:copy-of select="$echonestsongid"/>
 		    </a>
+		  </td>
+		</tr>
+		<tr>
+		  <td colspan="2">	      
+		    <i>
+		      <a href="{$lastfmtrackurl}" target="#lastfm" class="external">
+			<xsl:copy-of select="$lastfmtrackurl"/>
+		      </a>
+		    </i>
 		  </td>
 		</tr>
@@ -479,6 +493,6 @@
 	</div>
 
-	<gsf:script src="{$httpCollection}/script/meandre-workflow/chromagram.js"/>
-	<gsf:script src="{$httpCollection}/script/meandre-workflow/js-dynamic-mix.js"/>
+	<gsf:script src="{$httpCollection}/script2/meandre-workflow/chromagram.js"/>
+	<gsf:script src="{$httpCollection}/script2/meandre-workflow/js-dynamic-mix.js"/>
 	
 	<gsf:script>
@@ -521,5 +535,5 @@
 	  <div class="documenttext hide" style="color: white; background-color: rgb(40%,40%,20%); padding: 8px;">
 
-	    <textarea id="js-dynamic-code" style="width:100%; height: 520px; font-size: 60%">
+	    <textarea id="js-dynamic-code" style="width:100%; height: 520px; font-size: 90%">
 	      <xsl:text disable-output-escaping="yes">
 
@@ -602,7 +616,70 @@
            id="svgContentAnalysisSegments" 
 	   width="100%" height="24"
-           onLoadXX="svgCAStructuredInit({$cgiargCAAlgorithm})">
+           onLoad="svgCAStructuredInit({$cgiargCAAlgorithm})">
       </svg>
     </div>
+
+
+      <!-- **** now back in -->
+
+      <form id="UpdateCAForm" name="UpdateCAForm" method="get" action="{$library_name}"
+	    style="display: block; background-color: #dddddd; padding: 6px;">
+	<div style="font-style: italics;">
+	  
+	  Show the song structure automatically computed by analyzing
+	  the audio data using algorithm: 
+<!--
+	  <select id="caaMenu" name="caAlgorithm">
+	    <option value="1">BV1</option>
+	    <option value="2">BV2</option>
+	    <option value="3">GP7</option>
+	    <option value="4">MHRAG2</option>
+	    <option value="5">MND1</option>
+	    <option value="6">WB1</option>
+-->
+<!--
+	    <option value="-1">or hide</option>
+-->
+<!--
+	  </select>: 
+-->
+
+	  <select id="caaMenu" name="caAlgorithm" onchange="updateCAAlgorithm()">
+	      <xsl:for-each select="/page/pageResponse/document/metadataList/metadata[@name = 'json.seriesName']">
+		  <option>
+		    <xsl:attribute name='value'>
+		      <xsl:value-of disable-output-escaping="yes" select="position()"/>
+		    </xsl:attribute>		    
+		    <xsl:if test="position() = $cgiargCAAlgorithm">
+		      <xsl:attribute name='selected'>selected</xsl:attribute>
+		    </xsl:if>
+			<xsl:value-of disable-output-escaping="yes" select="."/>
+		  </option>
+	      </xsl:for-each>
+	  </select>
+
+	  <gsf:foreach-metadata name="json.seriesData">
+	    <gsf:variable2 name="seriesData"><xsl:value-of disable-output-escaping="yes" select="."/></gsf:variable2>
+	    <gsf:variable name="seriesPos"><xsl:value-of disable-output-escaping="yes" select="position()"/></gsf:variable>
+
+	    <gsf:script>
+	      var cleanedSeriesData = gs.variables.seriesData.replace(/\\n/g,"").replace(/\n/g," ");
+	      cleanedSeriesData = cleanedSeriesData.replace(/\"\".*?\"\"/g,"\"$1\"").replace(/;$/,"");
+	      //console.log("cleaned data = " + cleanedSeriesData);
+	      allData[gs.variables.seriesPos] = JSON.parse(cleanedSeriesData);
+	    </gsf:script>
+	  </gsf:foreach-metadata>
+
+<!--
+
+	  <input type="button" name="Reload" value="Reload" 
+	         onclick="updateCAAlgorithm()" />
+-->
+
+
+
+	</div>
+      </form>
+
   </xsl:template>
   
@@ -658,8 +735,16 @@
 
 	<form style="padding-left: 8px; padding-bottom: 0px;">
-	  <span class="vis-heading">On Pause:</span>
-	  <input type="checkbox" name="similarityMatrix" onclick="plotSimilarityMatrixWhenPaused(this)"/>Show Similarity Matrix
+	  <div style="float: left;">
+	    <span class="vis-heading">On Pause:</span>
+	    <input type="checkbox" name="similarityMatrix" onclick="plotSimilarityMatrixWhenPaused(this)"/>Show Similarity Matrix
+	  </div>
+	  <div style="float: left; padding-left: 140px;">
+	    <span class="vis-heading">Accelerated  Processing:</span>
+	    <input type="checkbox" name="acceleratedProcessingInput" onclick="acceleratedProcessingCheckbox(this)"/>&gt; realtime
+	    <span id="accProcStatus"></span>
+	  </div>
+
 	</form>
-	<hr/>
+	<div style="clear: both; padding-top: 4px; padding-bottom: 4px;"><hr/></div>
 
     </div>
@@ -778,32 +863,4 @@
 -->
 
-      <!-- **** currently not displayed -->
-
-      <form id="UpdateCAForm" name="UpdateCAForm" method="get" action="{$library_name}" style="display: none;">
-	<div style="font-style: italics;">
-	  
-	  Show the song structure automatically computed by analyzing
-	  the audio data using algorithm 
-
-	  <select id="caaMenu" name="caAlgorithm">
-	    <option value="1">BV1</option>
-	    <option value="2">BV2</option>
-	    <option value="3">GP7</option>
-	    <option value="4">MHRAG2</option>
-	    <option value="5">MND1</option>
-	    <option value="6">WB1</option>
-
-<!--
-	    <option value="-1">or hide</option>
--->
-
-	  </select>: 
-
-	  <input type="button" name="Reload" value="Reload" 
-	         onclick="updateCAAlgorithm()" />
-
-	</div>
-      </form>
-
 	<script>
 	  <xsl:text disable-output-escaping="yes"> 
@@ -865,4 +922,5 @@
     </gsf:script>
 
+<!--
 
     <div id="original-turnstyle" style="margin: 6px;">
@@ -889,5 +947,5 @@
 	});
     </gsf:script>
-
+-->
 
   </xsl:template>