Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH0167.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH0167.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH0167.dir/doc.xml	(revision 28811)
@@ -23,8 +23,8 @@
     <Metadata name="dls.Organization">FAO Better Farming series</Metadata>
     <Metadata name="Identifier">HASH01678cca1e4e56539bd7a23d</Metadata>
-    <Metadata name="lastmodified">1378460658</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460737</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131311</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASH0167.dir</Metadata>
     <Metadata name="gsdlassocfile">f34p093a.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH016d.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH016d.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH016d.dir/doc.xml	(revision 28811)
@@ -22,8 +22,8 @@
     <Metadata name="dls.Organization">BOSTID</Metadata>
     <Metadata name="Identifier">HASH016d21c66d406c8d7c3daf8f</Metadata>
-    <Metadata name="lastmodified">1378460658</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460734</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131308</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASH016d.dir</Metadata>
     <Metadata name="gsdlassocfile">p00.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH017a.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH017a.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH017a.dir/doc.xml	(revision 28811)
@@ -22,8 +22,8 @@
     <Metadata name="dls.Organization">BOSTID</Metadata>
     <Metadata name="Identifier">HASH017a991358d2ca61ab2c4596</Metadata>
-    <Metadata name="lastmodified">1378460657</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460733</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131308</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASH017a.dir</Metadata>
     <Metadata name="gsdlassocfile">g001a.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH01c7.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH01c7.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH01c7.dir/doc.xml	(revision 28811)
@@ -22,8 +22,8 @@
     <Metadata name="dls.Organization">EC Courier</Metadata>
     <Metadata name="Identifier">HASH01c7ce4e89ac65b6b45ea317</Metadata>
-    <Metadata name="lastmodified">1378460657</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460735</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131310</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASH01c7.dir</Metadata>
     <Metadata name="gsdlassocfile">p07a.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH01cf.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH01cf.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH01cf.dir/doc.xml	(revision 28811)
@@ -23,8 +23,8 @@
     <Metadata name="dls.Organization">BOSTID</Metadata>
     <Metadata name="Identifier">HASH01cf0ffe6473e722641e03d5</Metadata>
-    <Metadata name="lastmodified">1378460658</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460735</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131309</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASH01cf.dir</Metadata>
     <Metadata name="gsdlassocfile">p04to05.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH01d8.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH01d8.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH01d8.dir/doc.xml	(revision 28811)
@@ -22,8 +22,8 @@
     <Metadata name="dls.Organization">World Bank</Metadata>
     <Metadata name="Identifier">HASH01d8048ddc447444a4c729b9</Metadata>
-    <Metadata name="lastmodified">1378460658</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460737</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131312</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASH01d8.dir</Metadata>
     <Metadata name="gsdlassocfile">p16.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH1726.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH1726.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH1726.dir/doc.xml	(revision 28811)
@@ -22,8 +22,8 @@
     <Metadata name="dls.Organization">EC Courier</Metadata>
     <Metadata name="Identifier">HASH172649484c3bb5630e9899</Metadata>
-    <Metadata name="lastmodified">1378460658</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460736</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131311</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASH1726.dir</Metadata>
     <Metadata name="gsdlassocfile">p15.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH4f74.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH4f74.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH4f74.dir/doc.xml	(revision 28811)
@@ -22,8 +22,8 @@
     <Metadata name="dls.Organization">FAO Better Farming series</Metadata>
     <Metadata name="Identifier">HASH4f7409598850236ba620b0</Metadata>
-    <Metadata name="lastmodified">1378460658</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460737</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131311</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASH4f74.dir</Metadata>
     <Metadata name="gsdlassocfile">f33p60a.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH7ef9.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH7ef9.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASH7ef9.dir/doc.xml	(revision 28811)
@@ -21,8 +21,8 @@
     <Metadata name="dls.Organization">BOSTID</Metadata>
     <Metadata name="Identifier">HASH7ef9cf0c066197a1f1a0d5</Metadata>
-    <Metadata name="lastmodified">1378460658</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460734</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131309</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASH7ef9.dir</Metadata>
     <Metadata name="gsdlassocfile">b20a.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASHe0e6.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASHe0e6.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASHe0e6.dir/doc.xml	(revision 28811)
@@ -22,8 +22,8 @@
     <Metadata name="dls.Organization">EC Courier</Metadata>
     <Metadata name="Identifier">HASHe0e6674a712bbce48ed499</Metadata>
-    <Metadata name="lastmodified">1378460658</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460736</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131311</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASHe0e6.dir</Metadata>
     <Metadata name="gsdlassocfile">p021.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASHe3aa.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASHe3aa.dir/doc.xml	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/archives/HASHe3aa.dir/doc.xml	(revision 28811)
@@ -22,8 +22,8 @@
     <Metadata name="dls.Organization">BOSTID</Metadata>
     <Metadata name="Identifier">HASHe3aae2159b0dda6553cee4</Metadata>
-    <Metadata name="lastmodified">1378460658</Metadata>
-    <Metadata name="lastmodifieddate">20130906</Metadata>
-    <Metadata name="oailastmodified">1378460735</Metadata>
-    <Metadata name="oailastmodifieddate">20130906</Metadata>
+    <Metadata name="lastmodified">1391131217</Metadata>
+    <Metadata name="lastmodifieddate">20140131</Metadata>
+    <Metadata name="oailastmodified">1391131309</Metadata>
+    <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">HASHe3aa.dir</Metadata>
     <Metadata name="gsdlassocfile">p08.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/index/build.cfg
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/index/build.cfg	(revision 28239)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Lucene/index/build.cfg	(revision 28811)
@@ -1,5 +1,5 @@
-builddate	1378460741
+builddate	1391131315
 buildtype	lucene
-earliestdatestamp	1378460733
+earliestdatestamp	1391131307
 indexfieldmap	text->TX	dc.Title,Title->TI	dc.Subject->SU	dls.Organization->ORG	dls.Keyword->KE
 indexfields	text	dc.Title,Title	dc.Subject	dls.Organization	dls.Keyword