Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D0.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D0.dir/doc.xml	(revision 28811)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D0.dir/doc.xml	(revision 28812)
@@ -35,7 +35,7 @@
     <Metadata name="Title">Bear</Metadata>
     <Metadata name="Identifier">D0</Metadata>
-    <Metadata name="lastmodified">1391131226</Metadata>
+    <Metadata name="lastmodified">1391133405</Metadata>
     <Metadata name="lastmodifieddate">20140131</Metadata>
-    <Metadata name="oailastmodified">1391131543</Metadata>
+    <Metadata name="oailastmodified">1391133682</Metadata>
     <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">D0.dir</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D1.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D1.dir/doc.xml	(revision 28811)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D1.dir/doc.xml	(revision 28812)
@@ -35,7 +35,7 @@
     <Metadata name="Title">Cat</Metadata>
     <Metadata name="Identifier">D1</Metadata>
-    <Metadata name="lastmodified">1391131226</Metadata>
+    <Metadata name="lastmodified">1391133405</Metadata>
     <Metadata name="lastmodifieddate">20140131</Metadata>
-    <Metadata name="oailastmodified">1391131543</Metadata>
+    <Metadata name="oailastmodified">1391133682</Metadata>
     <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">D1.dir</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D2.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D2.dir/doc.xml	(revision 28811)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D2.dir/doc.xml	(revision 28812)
@@ -35,7 +35,7 @@
     <Metadata name="Title">Cheetah</Metadata>
     <Metadata name="Identifier">D2</Metadata>
-    <Metadata name="lastmodified">1391131226</Metadata>
+    <Metadata name="lastmodified">1391133405</Metadata>
     <Metadata name="lastmodifieddate">20140131</Metadata>
-    <Metadata name="oailastmodified">1391131543</Metadata>
+    <Metadata name="oailastmodified">1391133682</Metadata>
     <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">D2.dir</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D3.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D3.dir/doc.xml	(revision 28811)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D3.dir/doc.xml	(revision 28812)
@@ -35,7 +35,7 @@
     <Metadata name="Title">Fish</Metadata>
     <Metadata name="Identifier">D3</Metadata>
-    <Metadata name="lastmodified">1391131226</Metadata>
+    <Metadata name="lastmodified">1391133405</Metadata>
     <Metadata name="lastmodifieddate">20140131</Metadata>
-    <Metadata name="oailastmodified">1391131544</Metadata>
+    <Metadata name="oailastmodified">1391133683</Metadata>
     <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">D3.dir</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D4.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D4.dir/doc.xml	(revision 28811)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D4.dir/doc.xml	(revision 28812)
@@ -35,7 +35,7 @@
     <Metadata name="Title">Gopher</Metadata>
     <Metadata name="Identifier">D4</Metadata>
-    <Metadata name="lastmodified">1391131226</Metadata>
+    <Metadata name="lastmodified">1391133405</Metadata>
     <Metadata name="lastmodifieddate">20140131</Metadata>
-    <Metadata name="oailastmodified">1391131544</Metadata>
+    <Metadata name="oailastmodified">1391133683</Metadata>
     <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">D4.dir</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D5.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D5.dir/doc.xml	(revision 28811)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D5.dir/doc.xml	(revision 28812)
@@ -35,7 +35,7 @@
     <Metadata name="Title">Lemur</Metadata>
     <Metadata name="Identifier">D5</Metadata>
-    <Metadata name="lastmodified">1391131226</Metadata>
+    <Metadata name="lastmodified">1391133405</Metadata>
     <Metadata name="lastmodifieddate">20140131</Metadata>
-    <Metadata name="oailastmodified">1391131544</Metadata>
+    <Metadata name="oailastmodified">1391133684</Metadata>
     <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">D5.dir</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D6.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D6.dir/doc.xml	(revision 28811)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D6.dir/doc.xml	(revision 28812)
@@ -35,7 +35,7 @@
     <Metadata name="Title">Rhino</Metadata>
     <Metadata name="Identifier">D6</Metadata>
-    <Metadata name="lastmodified">1391131226</Metadata>
+    <Metadata name="lastmodified">1391133405</Metadata>
     <Metadata name="lastmodifieddate">20140131</Metadata>
-    <Metadata name="oailastmodified">1391131546</Metadata>
+    <Metadata name="oailastmodified">1391133685</Metadata>
     <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">D6.dir</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D7.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D7.dir/doc.xml	(revision 28811)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D7.dir/doc.xml	(revision 28812)
@@ -35,7 +35,7 @@
     <Metadata name="Title">Shark</Metadata>
     <Metadata name="Identifier">D7</Metadata>
-    <Metadata name="lastmodified">1391131226</Metadata>
+    <Metadata name="lastmodified">1391133405</Metadata>
     <Metadata name="lastmodifieddate">20140131</Metadata>
-    <Metadata name="oailastmodified">1391131546</Metadata>
+    <Metadata name="oailastmodified">1391133685</Metadata>
     <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">D7.dir</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D8.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D8.dir/doc.xml	(revision 28811)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D8.dir/doc.xml	(revision 28812)
@@ -35,7 +35,7 @@
     <Metadata name="Title">Tiger</Metadata>
     <Metadata name="Identifier">D8</Metadata>
-    <Metadata name="lastmodified">1391131226</Metadata>
+    <Metadata name="lastmodified">1391133405</Metadata>
     <Metadata name="lastmodifieddate">20140131</Metadata>
-    <Metadata name="oailastmodified">1391131546</Metadata>
+    <Metadata name="oailastmodified">1391133686</Metadata>
     <Metadata name="oailastmodifieddate">20140131</Metadata>
     <Metadata name="assocfilepath">D8.dir</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/index/build.cfg
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/index/build.cfg	(revision 28811)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/index/build.cfg	(revision 28812)
@@ -1,5 +1,5 @@
-builddate	1391131547
+builddate	1391133686
 buildtype	mgpp
-earliestdatestamp	1391131543
+earliestdatestamp	1391133682
 indexfieldmap	dc.Description->DE
 indexfields	dc.Description