Index: other-projects/expeditee-release-kits/kits/rke/installer/build.xml
===================================================================
--- other-projects/expeditee-release-kits/kits/rke/installer/build.xml	(revision 28721)
+++ other-projects/expeditee-release-kits/kits/rke/installer/build.xml	(revision 28822)
@@ -73,5 +73,5 @@
 		<!-- if windows -->
 		<!-- figure out the start menu path -->
-		<getfreepath path="${win32.personal.programs_menu}\${projectname}" property="startmenu.path"/>		
+		<getfreepath path="${win32.personal.programs_menu}\@projectname@" property="startmenu.path"/>		
 		<path id="startmenu.path.path" path="${startmenu.path}"/>
 		<pathconvert targetos="unix" property="startmenu.path.unix" refid="startmenu.path.path"/>
@@ -163,93 +163,13 @@
 	<target name="Installing Start Menu Shortcuts">
 
-		<mkdir dir="${startmenu.path}\Documentation"/>
-
-		<!-- Server shortcut -->
-		<if><bool><available file="${installDir}/web/images/server.ico"/></bool>
-			<property name="servericon" value="${installDir}\web\images\server.ico"/> 
-			<else>
-				<property name="servericon" value="${installDir}\web\images\serverico.ico"/> 
-			</else>
-		</if>
-
+		<!-- Expeditee shortcut -->
+		<property name="expediteeicon" value="${installDir}\bin\icon.ico"/> 
+		
 		<shortcut
-			file="${startmenu.path}\Greenstone Server.lnk"
-			execute="${installDir}\gs2-server.bat"
+			file="${startmenu.path}\Expeditee.lnk"
+			execute="${installDir}\run.bat"
 			workingDirectory="${installDir}"
-			iconFile="${servericon}"
+			iconFile="${expediteeicon}"
 			iconIndex="0" />
-
-		<!-- Librarian shortcut -->
-		<if><bool><available file="${installDir}/web/images/librarian.ico"/></bool>
-			<property name="libraryicon" value="${installDir}\web\images\librarian.ico"/> 
-			<else>
-				<property name="libraryicon" value="${installDir}\web\images\icon.ico"/>
-			</else>
-		</if>
-
-		<shortcut
-			file="${startmenu.path}\Librarian Interface (GLI).lnk"
-			execute="${installDir}\gli\gli.bat"
-			workingDirectory="${installDir}\gli"
-			iconFile="${libraryicon}"
-			iconIndex="0" />
-			
-		<!-- Remote Server shortcut -->
-		<if><bool><available file="${installDir}/web/images/clientgli.ico"/></bool>
-			<property name="clientgliicon" value="${installDir}\web\images\clientgli.ico"/> 
-			<else>
-				<property name="clientgliicon" value="${installDir}\web\images\icon.ico"/>
-			</else>
-		</if>
-
-		<shortcut
-			file="${startmenu.path}\Remote Librarian Interface (Client GLI).lnk"
-			execute="${installDir}\gli\client-gli.bat"
-			workingDirectory="${installDir}\gli"
-			iconFile="${clientgliicon}"
-			iconIndex="0" />
-
-		<!-- GEMS shortcut -->
-		<if><bool><available file="${installDir}/web/images/metadata.ico"/></bool>
-			<property name="gemsicon" value="${installDir}\web\images\metadata.ico"/> 		
-			<else>
-				<property name="gemsicon" value="${installDir}\web\images\gems.ico"/> 	
-			</else>
-		</if>
-
-		<shortcut
-			file="${startmenu.path}\Metadata Set Editor (GEMS).lnk"
-			execute="${installDir}\gli\gems.bat"
-			workingDirectory="${installDir}\gli"
-			iconFile="${gemsicon}"
-			iconIndex="0" />
-
-		<!-- Uninstall shortcut -->
-		<if><bool><available file="${installDir}/web/images/newuninstall.ico"/></bool>
-			<property name="uninstallicon" value="${installDir}\web\images\newuninstall.ico"/> 		
-			<else>
-				<property name="uninstallicon" value="${installDir}\web\images\uninstall.ico"/> 	
-			</else>
-		</if>
-		
-		<shortcut
-			file="${startmenu.path}\Uninstall.lnk"
-			execute="${installDir}\uninstall\Uninstall.bat"
-			workingDirectory="${installDir}\uninstall"
-			iconFile="${uninstallicon}"
-			iconIndex="0" />
-
-		<!-- Misc shortcuts -->
-		<shortcut
-			file="${startmenu.path}\Documentation\READMEen.lnk"
-			execute="${installDir}\READMEen.txt" />
-
-		<shortcut
-			file="${startmenu.path}\Documentation\Greenstone Wiki.url"
-			url="http://wiki.greenstone.org" />
-
-		<shortcut
-			file="${startmenu.path}\Documentation\Greenstone Website.url"
-			url="http://www.greenstone.org" />
 
 	</target>