Index: /other-projects/expeditee-release-kits/kits/rke/ant-scripts/compile.xml
===================================================================
--- /other-projects/expeditee-release-kits/kits/rke/ant-scripts/compile.xml	(revision 28831)
+++ /other-projects/expeditee-release-kits/kits/rke/ant-scripts/compile.xml	(revision 28832)
@@ -31,5 +31,6 @@
 			<copy file="${rk.home}/shared/core/search4j/search4j.exe" todir="${basedir}/compiled/bin" />
 			<!-- copy icon for windows -->
-			<copy file="${rk.home}/shared/core/icon/icon.ico" todir="${basedir}/compiled/bin" />
+			<mkdir dir="${basedir}/compiled/resources"/>
+			<copy file="${rk.home}/shared/core/icon/icon.ico" todir="${basedir}/compiled/resources" />
 		</if>
 		<!-- copy run scripts -->
Index: /other-projects/expeditee-release-kits/kits/rke/installer/build.xml
===================================================================
--- /other-projects/expeditee-release-kits/kits/rke/installer/build.xml	(revision 28831)
+++ /other-projects/expeditee-release-kits/kits/rke/installer/build.xml	(revision 28832)
@@ -95,56 +95,5 @@
 		<chmod dir="${installDir}" includes="*.sh,*.bash" perm="775"/>
 		<chmod dir="${installDir}/bin" includes="*" perm="755"/>
-		<!-- <chmod dir="${installDir}/bin" includes="*" perm="775"/> 
-		<chmod dir="${installDir}/cgi-bin/${shell.name}" includes="*" perm="775"/>
-		<chmod dir="${installDir}/bin/script" includes="**/*" perm="775"/>
-		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/> -->
-		<!-- if linux|mac -->
-		<!-- <chmod dir="${installDir}/bin/${shell.name}" includes="**/*" perm="775"/> -->
-		<!-- /if -->
 
-		<!-- if linux|mac -->
-		<!--
-		<echo>Set the installation locale in config files</echo>
-		<rsr file="${installDir}/setup.bash" pattern="^gsdllang=.*" replacement="gsdllang=${language}"/>
-		<rsr file="${installDir}/gli/gli.sh" pattern="^glilang=.*" replacement="glilang=${language}"/>
-		<rsr file="${installDir}/gli/gems.sh" pattern="^glilang=.*" replacement="glilang=${language}"/>
-		-->
-		<!-- /if -->
-		<!--
-		<rsr
-			file="${installDir}/gli/classes/xml/config.xml"
-			pattern="(&lt;Argument name=&quot;general.locale&quot;&gt;).*(&lt;/Argument&gt;)"
-			replacement="$1${language}$2"/>
-
-		<echo file="${installDir}/etc/main.cfg" append="true"
-			>cgiarg          shortname=l argdefault=${language}</echo>
-
-		<echo message="Creating installation properties file"/>
-		-->
-		<!-- if linux|mac -->
-		<!-- <echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo> -->
-		<!-- /if -->
-		<!-- if windows -->
-		<!-- <echo file="${installDir}\etc\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo> -->
-		<!-- /if -->
-		
-		<!-- if mac -->
-		<!--
-		<copy file="${installDir}/gli.app/Contents/document.wflow.in" tofile="${installDir}/gli.app/Contents/document.wflow"/>
-		<rsr file="${installDir}/gli.app/Contents/document.wflow" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
-		
-		<copy file="${installDir}/gs2-server.app/Contents/document.wflow.in" tofile="${installDir}/gs2-server.app/Contents/document.wflow"/>
-		<rsr file="${installDir}/gs2-server.app/Contents/document.wflow" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
-		
-		<copy file="${installDir}/gems.app/Contents/document.wflow.in" tofile="${installDir}/gems.app/Contents/document.wflow"/>
-		<rsr file="${installDir}/gems.app/Contents/document.wflow" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
-		
-		<copy file="${installDir}/client-gli.app/Contents/document.wflow.in" tofile="${installDir}/client-gli.app/Contents/document.wflow"/>
-		<rsr file="${installDir}/client-gli.app/Contents/document.wflow" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
-
-		<chmod dir="${installDir}" includes="*.app" perm="755"/>
-		<chmod dir="${installDir}" includes="*.app/**/*" perm="755"/>
-		-->
-		<!-- /if -->
 	</target>
 
@@ -164,5 +113,5 @@
 
 		<!-- Expeditee shortcut -->
-		<property name="expediteeicon" value="${installDir}\bin\icon.ico"/> 
+		<property name="expediteeicon" value="${installDir}\resources\icon.ico"/> 
 		
 		<shortcut